package cn.com.countrygarden.bi.main.model.performance;

public class AssessmentTarget {
    private Integer atid;

    private String elementid;

    private String elementname;

    private Integer lockstatus;

    private Integer publicstatus;//设置发布状态

    private Integer year;

    private String quarterly;

    private String createdate;

    private String createby;

    private String updatedate;

    private String updateby;

    public AssessmentTarget(Integer atid, String elementid, String elementname, Integer lockstatus, Integer publicstatus, Integer year, String quarterly, String createdate, String createby, String updatedate, String updateby) {
        this.atid = atid;
        this.elementid = elementid;
        this.elementname = elementname;
        this.lockstatus = lockstatus;
        this.publicstatus = publicstatus;
        this.year = year;
        this.quarterly = quarterly;
        this.createdate = createdate;
        this.createby = createby;
        this.updatedate = updatedate;
        this.updateby = updateby;
    }

    public AssessmentTarget() {
        super();
    }

    public Integer getAtid() {
        return atid;
    }

    public void setAtid(Integer atid) {
        this.atid = atid;
    }

    public String getElementid() {
        return elementid;
    }

    public void setElementid(String elementid) {
        this.elementid = elementid == null ? null : elementid.trim();
    }

    public String getElementname() {
        return elementname;
    }

    public void setElementname(String elementname) {
        this.elementname = elementname == null ? null : elementname.trim();
    }

    public Integer getLockstatus() {
        return lockstatus;
    }

    public void setLockstatus(Integer lockstatus) {
        this.lockstatus = lockstatus;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getQuarterly() {
        return quarterly;
    }

    public void setQuarterly(String quarterly) {
        this.quarterly = quarterly == null ? null : quarterly.trim();
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate == null ? null : createdate.trim();
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby == null ? null : createby.trim();
    }

    public String getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(String updatedate) {
        this.updatedate = updatedate == null ? null : updatedate.trim();
    }

    public String getUpdateby() {
        return updateby;
    }

    public void setUpdateby(String updateby) {
        this.updateby = updateby == null ? null : updateby.trim();
    }

    public Integer getPublicstatus() {
        return publicstatus;
    }

    public void setPublicstatus(Integer publicstatus) {
        this.publicstatus = publicstatus;
    }
}